E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::ServerPeerInfo Class Reference

A move-only structure used in GNet::Server::newPeer() and containing the new socket. More...

`#include <gserver.h>`

Collaboration diagram for GNet::ServerPeerInfo:
[legend]

## Public Member Functions
| ServerPeerInfo (Server *, ServerPeer::Config)

## Public Attributes
std::unique_ptr< StreamSocket > | m_socket
Address | m_address
ServerPeer::Config | m_server_peer_config
Server * | m_server

## Detailed Description

A move-only structure used in GNet::Server::newPeer() and containing the new socket.

Definition at line 141 of file gserver.h.

## Constructor & Destructor Documentation

## ◆ ServerPeerInfo()

GNet::ServerPeerInfo::ServerPeerInfo | ( | Server * | server,
|  | ServerPeer::Config | server_peer_config
| ) |  |

Definition at line 206 of file gserver.cpp.

## Member Data Documentation

## ◆ m_address

Address GNet::ServerPeerInfo::m_address

Definition at line 145 of file gserver.h.

## ◆ m_server

Server* GNet::ServerPeerInfo::m_server

Definition at line 147 of file gserver.h.

## ◆ m_server_peer_config

ServerPeer::Config GNet::ServerPeerInfo::m_server_peer_config

Definition at line 146 of file gserver.h.

## ◆ m_socket

std::unique_ptr<StreamSocket> GNet::ServerPeerInfo::m_socket

Definition at line 144 of file gserver.h.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gserver.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gserver.cpp